<div id="admin-combo-product">
  <div class="d-sm-flex align-center justify-space-between">
    <div>
      <p class="mb-0 h6 colorGreyMain">
        Combo
      </p>
    </div>
    <div id="hideBottomInput" class="d-sm-flex align-center">
      <div>
        <v-text-field dense outlined v-model="config.search" prepend-inner-icon="mdi-magnify" style="width: 320px"
          background-color="#ffffff" @keyup.enter="onGetListCombo()" placeholder="Search by name...">
        </v-text-field>
      </div>
      <div class="ml-sm-3 mt-3 mt-sm-0">
        <v-btn color="#076CE3" class="elevation-0" height="40px" @click="addCombo()">
          <div class="d-flex align-center">
            <v-icon color="#ffffff">
              mdi-plus
            </v-icon>
            <p class="mb-0 white--text fsize-15 ml-2 text-capitalize">
              New combo
            </p>
          </div>
        </v-btn>
      </div>
    </div>
  </div>
  <v-card class="ui-card mt-4">
    <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
    </v-skeleton-loader>
    <v-simple-table class="scrollTable c-pointer" fixed-header v-else
      style="border: 1px solid #EDEEEF; border-radius: 8px 8px 8px 8px;">
      <template v-slot:default>
        <thead>
          <tr>
            <th class="px-0">
              <div class="d-flex align-center" style="width: 600px">
                <v-checkbox v-model="selectedAll" class="pl-3"></v-checkbox>
                <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2"
                  v-if="!selectedAll && !listIds.length">
                  Combo name
                </p>
                <div v-else class="d-flex align-center">
                  <p class="mb-0 fsize-14 font-weight-bold">
                    Action <span class="fsize-12 colorGreyHeaderItem">
                      (Choose <span class="black--text">{{listIds.length}}</span> items)
                    </span>
                  </p>
                  <v-btn text class="ml-7" @click="openDialogDeleteListCombo()">
                    <div class="d-flex align-center">
                      <v-icon color="#FF5252" size="18">
                        mdi-delete
                      </v-icon>
                      <p class="mb-0 ml-3 fsize-14 font-weight-bold text-capitalize">
                        Delete combo
                      </p>
                    </div>
                  </v-btn>
                </div>
              </div>
            </th>
            <th class="text-left px-0">
              <div v-if="!selectedAll && !listIds.length" style="width: 200px">
                <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                  # Product
                </p>
              </div>
            </th>
            <!-- <th class="text-left px-0" style="width: 300px">
              <div v-if="!selectedAll && !listIds.length">
                <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                  Price
                </p>
              </div>
            </th>
            <th class="text-left px-0" >
              <div v-if="!selectedAll && !listIds.length" style="width: 200px">
                <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                  Status
                </p>
              </div>
            </th> -->
            <th class="text-left px-0">
              <div style="width: 200px"></div>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(combo,i) in listCombo" :key="combo._id">
            <td class="px-0 py-2">
              <div class="d-flex align-center">
                <div class="d-flex align-center">
                  <v-checkbox v-model="listIds" :value="combo._id" class="pl-3"></v-checkbox>
                  <div class="d-flex align-center" id="hideBottomInput">
                    <v-text-field dense outlined placeholder="Enter name combo" v-model="combo.name"></v-text-field>
                  </div>
                </div>
                <div class="d-flex align-center" style="padding-left: 4rem;">
                  <div v-for="(item,i) in combo.listProductId" class="mr-2 d-flex align-center" v-if="i < 5">
                    <img :src="convertImgProduct(item._id || item)" alt="" width="32" height="32px" class="rounded-lg">
                  </div>
                  <div class="bg-img d-flex align-center justify-center" v-if="combo.listProductId.length > 5">
                    <p class="mb-0 white--text">
                      + {{ combo.listProductId.slice(5).length}}
                    </p>
                  </div>
                  <v-btn color="#076CE3" outlined @click="openDialogAddProduct(i)" class="ml-2">
                    <div class="d-flex align-center">
                      <v-icon color="#076CE3">
                        mdi-plus
                      </v-icon>
                      <p class="mb-0 ml-3 lightContentBlue">
                        Add
                      </p>
                    </div>
                  </v-btn>
                </div>
              </div>
            </td>
            <td class="px-0 py-2">
              <p class="fsize-16 font-weight-bold lightContentBlue mb-0">
                {{combo.listProductId.length}}
              </p>
            </td>
            <td>
              <div v-if="editId === combo._id || !combo._id">
                <v-btn color="#076CE3" outlined style="min-width: 36px" class="elevation-0 px-2" small
                  @click="openDialogDelete(combo._id || i)">
                  <v-icon color="#076CE3" size="18">
                    mdi-close
                  </v-icon>
                </v-btn>
                <v-btn color="#076CE3" style="min-width: 36px" class="elevation-0 px-2 ml-2" small
                  @click="onHandlerCombo(combo._id || i)">
                  <v-progress-circular v-if="loadingId === combo._id || loadingId === i" size="18" indeterminate
                    color="#3398dc">
                  </v-progress-circular>
                  <v-icon color="#ffffff" size="18" v-else>
                    mdi-check
                  </v-icon>
                </v-btn>
              </div>
              <div class="d-flex align-center" v-else>
                <v-btn color="#076CE3" @click="editId = combo._id" style="min-width: 36px" class="elevation-0 px-2"
                  small>
                  <p class=" mb-0 white--text">
                    Edit
                  </p>
                </v-btn>
                <v-btn color="#FF5252" icon style="min-width: 36px" class="px-0 ml-3"
                  @click="openDialogDelete(combo._id)">
                  <div class="d-flex align-center">
                    <v-icon color="#FF5252">
                      mdi-delete
                    </v-icon>
                  </div>
                </v-btn>
              </div>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <div class="d-flex justify-center my-2" v-if="listCombo.length == 0 && !loadingTable">
      <div>
        <div class="d-flex align-center justify-center">
          <img src="~/assets/images/no-product.png" alt="" width="136" height="136">
        </div>
        <p class="mb-0 text-center colorGreyHeaderTable">
          Before you open your store, first you need some products.
        </p>
        <p class="mb-0 text-center fsize-11 colorGreyHeaderTable">
          Your added Product will be shown here
        </p>
      </div>
    </div>
    <div class="text-center mt-4 pb-2 d-flex align-center justify-center">
      <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
      </v-pagination>
      <div id="hideBottomInput" class="input-gotopage pos-relative">
        <v-text-field dense outlined v-model.number="page" placeholder="Go to page">
        </v-text-field>
        <div class="button-inside-input">
          <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0"
            @click="onRedirectPage()">
            <v-icon color="#ffffff">
              mdi-chevron-right
            </v-icon>
          </v-btn>
        </div>
      </div>
    </div>
  </v-card>

  <v-row justify="center">
    <v-dialog v-model="dialogAddProduct" max-width="640">
      <v-card class="pa-0">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 lightContentPrimary fsize-20">
            Add Product to Combo
          </p>
          <div>
            <v-btn color="#949494" @click="dialogAddProduct = false" icon small>
              <v-icon color="#949494" size="20">
                mdi-close
              </v-icon>
            </v-btn>
          </div>
        </div>
        <v-divider></v-divider>
        <div class="py-5 px-4">
          <div id="hideBottomInput">
            <v-text-field dense outlined v-model="configProduct.search" prepend-inner-icon="mdi-magnify"
              @keyup.enter="onGetListProduct()" placeholder="Search by name ">
            </v-text-field>
          </div>
          <div class="mt-3">
            <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTableProduct">
            </v-skeleton-loader>
            <v-simple-table class="scrollTable c-pointer" fixed-header v-else
              style="border: 1px solid #EDEEEF; border-radius: 8px 8px 8px 8px;">
              <template v-slot:default>
                <thead>
                  <tr>
                  </tr>
                </thead>
                <tbody>
                  <tr v-for="(product,i) in listProduct" :key="product._id">
                    <td class="pa-0">
                      <div class="d-flex align-center">
                        <div class="d-flex align-center">
                          <v-checkbox v-model="listProductIds" :value="product._id" class="pl-3"></v-checkbox>
                          <img :src="convertImg(product)" alt="" width="32" height="32px" class="rounded-lg"
                            v-if="convertImg(product)">
                          <div style="width: 32px; height: 32px" v-else>
                          </div>
                        </div>
                        <div class="d-flex align-center">
                          <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2"
                            v-if="product.name.length > 50">
                            {{product.name.slice(0,50)}}...
                          </p>
                          <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2" v-else>
                            {{product.name}}
                          </p>
                        </div>
                      </div>
                    </td>
                    <td class="pa-0">
                      <p class="fsize-16 font-weight-bold lightContentPrimary mb-0">
                        ${{calcPrice(product) && $utils.formatCurrency(calcPrice(product))}}
                      </p>
                    </td>
                  </tr>
                </tbody>
              </template>
            </v-simple-table>
            <div class="d-flex justify-center my-2" v-if="listProduct.length == 0 && !loadingTableProduct">
              <div>
                <div class="d-flex align-center justify-center">
                  <img src="~/assets/images/no-product.png" alt="" width="136" height="136">
                </div>
                <p class="mb-0 text-center colorGreyHeaderTable">
                  Before you open your store, first you need some products.
                </p>
                <p class="mb-0 text-center fsize-11 colorGreyHeaderTable">
                  Your added Product will be shown here
                </p>
              </div>
            </div>
            <div class="d-flex justify-center mt-4">
              <v-pagination v-model="configProduct.page" :length="totalPageProduct" :total-visible="5"
                class="pagination">
              </v-pagination>
            </div>
            <div class="mt-4 d-flex align-center justify-end">
              <v-btn text @click="dialogAddProduct = false">
                <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
                  Cancel
                </p>
              </v-btn>
              <v-btn color="#076CE3" class="elevation-0 ml-3" @click="onAddComboToProduct()">
                <p class="mb-0 fsize-16 font-weight-bold white--text">
                  Add to Combo
                </p>
              </v-btn>
            </div>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogDelete" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56">
              mdi-delete-forever
            </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete Combo?
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete combo?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogDelete = false">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#FF5252" class="elevation-0" width="49%" @click="onDeleteCombo()">
            <p class="mb-0 fsize-16 font-weight-bold white--text">
              Delete
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogDeleteList" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56">
              mdi-delete-forever
            </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete Combo?
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete list combo?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogDeleteList = false">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#FF5252" class="elevation-0" width="49%" @click="onDeleteListCombo()">
            <p class="mb-0 fsize-16 font-weight-bold white--text">
              Delete
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>